<!doctype html>
<html lang="es">
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
		<meta name="description" content="Ventas.">
		<meta name="author" content="Edu FX">

		<title><?php echo !empty($title) ? $title : 'Ventas DeMente Games: ';?></title>

		<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
		<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.8.2/css/solid.css" integrity="sha384-ioUrHig76ITq4aEJ67dHzTvqjsAP/7IzgwE7lgJcg2r7BRNGYSK0LwSmROzYtgzs" crossorigin="anonymous">
		<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.8.2/css/fontawesome.css" integrity="sha384-sri+NftO+0hcisDKgr287Y/1LVnInHJ1l+XC7+FOabmTTIK0HnE2ID+xxvJ21c5J" crossorigin="anonymous">

		<link rel="stylesheet" type="text/css" href="<?php echo base_url(); ?>css/jquery-ui.css">
		<link rel="stylesheet" type="text/css" href="<?php echo base_url(); ?>css/style.css">
		<link rel="stylesheet" type="text/css" href="<?php echo base_url(); ?>css/print.css"/>

		<script src="https://code.jquery.com/jquery-3.0.0.min.js"></script>

	</head>
	<body>
		<div class="container">
			<?php
				if (!empty($logs)) {
					$usuarios[0] = 'Sin Asignar';
					foreach ($logs as $l) { 
						?>
						<div class="row mt-5">
							<div class="col">
								<h5>Editado por: <?php echo $usuarios[$l['id_usuario']]; ?></h5>
							</div>
							<div class="col">
								<h5><?php echo fechaHora($l['created']); ?></h5>
							</div>
						</div>

						<table class="table table-striped">
							<thead>
								<tr>
									<th scope="col">Campo</th>
									<th scope="col">Valor anterior</th>
									<th scope="col">Valor Actual</th>
								</tr>
							</thead>
							<tbody>
								<?php 
									foreach ($l['cambios'] as $k => $v) {
										if (!empty($v['anterior']) || !empty($v['actual'])) {
										?>
											<tr>
											<td><?php echo $k;?></td>
											<?php
											if ($k == 'detalle') {
												$pds = json_decode($v['anterior'], TRUE);
													?>
												<td>
													<ul>
														<?php
															foreach($pds as $pdk => $pdv) {
																echo '<li>' . $pdv . 'x ' . $productos[$pdk]['nombre'] . '</li>';
															}
														?>
													</ul>
												</td>
												<?php
													$pds = json_decode($v['actual'], TRUE);
												?>
												<td>
													<ul>
														<?php
															foreach($pds as $pdk => $pdv) {
																echo '<li>' . $pdv . 'x ' . $productos[$pdk]['nombre'] . '</li>';
															}
														?>
													</ul>
												</td>
												<?php
											}
											else if ($k == 'id_estado_venta') {
												echo '<td>'.$estados_ventas[$v['anterior']]['nombre'] .'</td>';
												echo '<td>'.$estados_ventas[$v['actual']]['nombre'].'</td>';
											}
											else if ($k == 'id_transportista') {
												echo '<td>'.$transportistas[$v['anterior']]['nombre'] .'</td>';
												echo '<td>'.$transportistas[$v['actual']]['nombre'].'</td>';
											}
											else if ($k == 'id_asignado') {
												echo '<td>'.$usuarios[$v['anterior']] .'</td>';
												echo '<td>'.$usuarios[$v['actual']] .'</td>';
											}
											else {
												echo '<td>'.$v['anterior'] .'</td>';
												echo '<td>'.$v['actual'].'</td>';
											}
											?>
											</tr>
											<?php
										}
										else{
											if ($k == 'productos') {
												foreach ($v as $pid => $p) {
													?>
														<tr>
															<td>
																<?php 
																	if (!empty($p['id_producto'])) {
																		if (!empty($p['id_producto']['anterior'])) {
																			echo $productos[$p['id_producto']['anterior']];
																		}
																		else{
																			echo $productos[$p['id_producto']];
																		}
																	}
																	else{
																		echo 'Sin id de producto';
																	}
																?>
															</td>
															<td colspan="2">

																<?php 
																	echo '<ul>';
																	foreach($p as $c => $nv) {
																		if (!empty($nv['anterior'])) {
																			echo '<li>'.$c.': <span>'.$nv['anterior'].'</span> => <span>'.$nv['actual'].'</span></li>';
																		}
																		else {
																			echo '<li>' . $c .' : <span>' . $nv . '</span></li>';
																		}
																	}
																	echo '</ul>';
																?>
															</td>
														</tr>
													<?php
												}
											}
										}
									}
								?>
							</tbody>
						</table>

						<?php


						// Subtitulo: Pedido #, Realizado el DMY

						// tabla con dos columnas: Producto y cantidad
					}
					// Fin foreach
				}
				else {
					echo 'No se encontraron ventas';
				}
			?>
		</div>
		<script src="<?php echo base_url(); ?>js/jquery-ui.min.js"></script>
		<script src="<?php echo base_url(); ?>js/functions.js"></script>
		<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
		<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
	</body>
</html>